#include <stdio.h>

using namespace std;

int meta[2000001];

int main()
{
	int N, K, a;
	scanf("%d%d", &N, &K);
	int br = 0;
	for(int i = 0; i<N;i++)
	{
		scanf("%d", &a);
		meta[N+a]++;
		if(meta[N+a]==K)
		{
			br++;
		}
	}
	printf("%d\n", br);
	for(int i = 0; i<2*N+1;i++)
	{
		if(meta[i]>=K)
			printf("%d ", i-N);
	}
}